Subject: 24.0.50; heuristic mask is turned on on gif images willy-nilly

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 11 Aug 2010 11:14:34 +0900

Hi,

Some gif images' background will be made transparent.
Please try this:

emacs -Q -bg black -fg white scholartest2009.gif

Where the gif file is:

http://mainichi.jp/life/edu/scholartest/etc/image/scholartest2009.gif

It is due to `create-animated-image' that puts the heuristic mask
property to gif images unconditionally.  image-mode uses it.
Is it intentional?  I hope the `:mask heuristic' element is removed
from `create-animated-image'.

Emacs-w3m uses `create-animated-image' if it is available, instead
of `create-image'.  It causes some gif images to be transparent.

Regards,